Stored in this browser only — never sent to Payonclick. The samples below fill in as you type.
API_KEY="poc_live_your_key_here"
TS=$(date +%s)
curl -X GET 'https://payonclick.in/ext/v1/bbps/transactions' \
-H "Authorization: Bearer $API_KEY" \
-H "X-Timestamp: $TS"
import hashlib, hmac, json, time, requests
API_KEY = "poc_live_your_key_here"
PATH = "/ext/v1/bbps/transactions"
BODY = b""
ts = str(int(time.time()))
r = requests.request(
"GET", "https://payonclick.in" + PATH,
headers={
"Authorization": f"Bearer {API_KEY}",
"X-Timestamp": ts,
}, timeout=60)
print(r.json())
const crypto = require('crypto');
const API_KEY = 'poc_live_your_key_here';
const path = '/ext/v1/bbps/transactions';
const body = '';
const ts = Math.floor(Date.now() / 1000).toString();
const res = await fetch('https://payonclick.in' + path, {
method: 'GET',
headers: {
Authorization: `Bearer ${API_KEY}`,
'X-Timestamp': ts,
},
});
console.log(await res.json());
<?php
$apiKey = 'poc_live_your_key_here';
$path = '/ext/v1/bbps/transactions';
$body = '';
$ts = (string) time();
$headers = [
"Authorization: Bearer {$apiKey}",
"X-Timestamp: {$ts}",
];
$ch = curl_init('https://payonclick.in' . $path);
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
]);
echo curl_exec($ch);
import java.net.URI;
import java.net.http.*;
import java.nio.charset.StandardCharsets;
public class PayonclickExample {
static final String HOST = "https://payonclick.in";
static final String API_KEY = "poc_live_your_key_here";
public static void main(String[] args) throws Exception {
String path = "/ext/v1/bbps/transactions";
String body = "";
String ts = String.valueOf(System.currentTimeMillis() / 1000);
HttpRequest.Builder req = HttpRequest.newBuilder(URI.create(HOST + path))
.header("Authorization", "Bearer " + API_KEY)
.header("X-Timestamp", ts);
req.method("GET", HttpRequest.BodyPublishers.noBody());
HttpResponse<String> res = HttpClient.newHttpClient()
.send(req.build(), HttpResponse.BodyHandlers.ofString());
System.out.println(res.body());
}
}
{
"success": true,
"data": {
"transactions": [
{
"reference_id": "BBPS202604131443435",
"client_reference": null,
"status": "SUCCESS",
"amount": 639.0,
"biller_id": "DHBVN0000HAR01",
"biller_name": "Dakshin Haryana Bijli Vitran Nigam (DHBVN)",
"category": "Electricity",
"bbps_txn_id": "CC016103CBAC64888712",
"approval_ref": "335645594921971",
"response_code": "000",
"message": "Successful",
"refunded": false,
"created_at": "2026-04-13T14:43:43"
}
],
"pagination": { "total": 6, "page": 1, "per_page": 20, "pages": 1 }
}
}